// mozileTBCommands.js

/* ***** BEGIN LICENSE BLOCK *****
 * Licensed under Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * Full Terms at http://mozile.mozdev.org/license.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Playsophy code.
 *
 * The Initial Developer of the Original Code is Playsophy
 * Portions created by the Initial Developer are Copyright (C) 2002-2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *		James A. Overton <james@overton.ca>
 *
 * ***** END LICENSE BLOCK ***** */

/******
	Version 0.52
	Created 2003-11-19 by James A. Overton

DESCRIPTION:
	This file contains an array of all the formatting commands that Mozile can handle.
I put it all here to make mozileTB.js cleaner. See mozileTB.js->mozileFormat() for more
information on how the commands are handled.


******/


var mozileTBCommands = new Array();
																		// Name						Tooltip										Type								Arg1								Arg2					Arg3...
// General
mozileTBCommands['bold'] 					= [	"Bold",					"Make text bold",					"toggleStyle",			"font-weight",			"bold",				"400"		];
mozileTBCommands['italic'] 				= [	"Italic",				"Make text italic",				"toggleStyle",			"font-style",				"italic",			"normal"		];
mozileTBCommands['underline']			= [	"Underline",		"Underline text",					"toggleStyle",			"text-decoration",	"underline",	"none"		];
mozileTBCommands['strikethrough']	= [	"Strikethrough","Strikethough text",			"toggleStyle",			"text-decoration",	"line-through",	"none"		];
mozileTBCommands['subscript'] 		= [	"Subscript",		"Set text below line",		"toggleStyle",			"vertical-align",		"sub",				"middle"		];
mozileTBCommands['superscript'] 	= [	"Superscript",	"Set text above line",		"toggleStyle",			"vertical-align",		"super",			"middle"		];

// Special
mozileTBCommands['indent']			= [	"Indent",				"Indent text",						"special",					"indent"	];
mozileTBCommands['outdent']			= [	"Outdent",			"Outdent text",						"special",					"outdent"	];
mozileTBCommands['link']				= [	"Link",					"Create Hyperlink",				"special",					"link"		];
mozileTBCommands['unlink']			= [	"Unlink",				"Remove Hyperlink",				"special",					"unlink"	];
mozileTBCommands['table']				= [	"Table",				"Create table",						"special",					"table"	];
mozileTBCommands['image']				= [	"Image",				"Insert image",						"special",					"image"	];
mozileTBCommands['hr']					= [	"Rule",					"Insert Horizontal Rule",	"special",					"hr"	];

// Format
mozileTBCommands['format-paragraph'] 					= [	"Paragraph",		"Format as paragraph",		"linesContainer",		"p"		];
mozileTBCommands['unordered-list'] 					= [	"Unordered List",		"Format as unordered list",	"toggleListLines",		"ul",	"ol"		];
mozileTBCommands['ordered-list'] 					= [	"Ordered List",			"Format as ordered list",		"toggleListLines",		"ol",	"ul"		];
mozileTBCommands['format-heading1'] 					= [	"Heading 1",		"Heading level 1",				"linesContainer",		"h1"	];
mozileTBCommands['format-heading2'] 					= [	"Heading 2",		"Heading level 2",				"linesContainer",		"h2"	];
mozileTBCommands['format-heading3'] 					= [	"Heading 3",		"Heading level 3",				"linesContainer",		"h3"	];
mozileTBCommands['format-heading4'] 					= [	"Heading 4",		"Heading level 4",				"linesContainer",		"h4"	];
mozileTBCommands['format-heading5'] 					= [	"Heading 5",		"Heading level 5",				"linesContainer",		"h5"	];
mozileTBCommands['format-heading6'] 					= [	"Heading 6",		"Heading level 6",				"linesContainer",		"h6"	];
mozileTBCommands['format-blockquote'] 	= [	"Blockquote",		"Format as blockquote",		"linesContainer",		"blockquote"		];
mozileTBCommands['format-addr'] 				= [	"Address",			"Format as address",			"linesContainer",		"addr"		];
mozileTBCommands['format-preformatted'] 	= [	"Preformatted",	"Preformatted text",			"linesContainer",		"pre"		];
mozileTBCommands['format-unformatted'] 		= [	"Unformatted",	"Remove formatting",			"special",					"unformat"		];

// Font
mozileTBCommands['font-serif']				= [	"Serif",				"Use serif font",				"styleText",				"font-family",			"serif"	];
mozileTBCommands['font-arial']				= [	"Arial",				"Use Arial font",				"styleText",				"font-family",			"Arial"	];
mozileTBCommands['font-courier']			= [	"Courier",			"Use Courier font",			"styleText",				"font-family",			"Courier"	];
mozileTBCommands['font-times']				= [	"Times",				"Use Times font",				"styleText",				"font-family",			"Times"	];

// Size
mozileTBCommands['size-extremely-small']		= [	"Extremely Small",				"Make text extremely small",				"styleText",				"font-size",			"xx-small"	];
mozileTBCommands['size-very-small']		= [	"Very Small",				"Make text very small",				"styleText",				"font-size",			"x-small"		];
mozileTBCommands['size-small']				= [	"Small",				"Make text small",				"styleText",				"font-size",			"small"		];
mozileTBCommands['size-medium']			= [	"Medium",				"Make text medium",				"styleText",				"font-size",			"medium"	];
mozileTBCommands['size-large']				= [	"Large",				"Make text large",				"styleText",				"font-size",			"large"		];
mozileTBCommands['size-very-large']				= [	"Very Large",				"Make text very large",				"styleText",				"font-size",			"x-large"		];
mozileTBCommands['size-extremely-large']				= [	"Extremely Large",				"Make text extremely large",				"styleText",				"font-size",			"xx-large"	];

// Text Colors
mozileTBCommands['text-color']			=	[ "Color",			"Set text color",					"special",			"color"	];

mozileTBCommands['text-black']		= [	"Black",			"Color text black",				"styleText",				"color",			"black"	];
mozileTBCommands['text-white']		= [	"White",			"Color text white",				"styleText",				"color",			"white"	];
mozileTBCommands['text-red']			= [	"Red",				"Color text red",					"styleText",				"color",			"red"		];
mozileTBCommands['text-green']		= [	"Green",			"Color text green",				"styleText",				"color",			"green"	];
mozileTBCommands['text-blue']			= [	"Blue",				"Color text blue",				"styleText",				"color",			"blue"	];
mozileTBCommands['text-yellow']		= [	"Yellow",			"Color text yellow",			"styleText",				"color",			"yellow"	];
mozileTBCommands['text-cyan']			= [	"Cyan",				"Color text cyan",				"styleText",				"color",			"cyan"	];
mozileTBCommands['text-magenta']	= [	"Magenta",		"Color text magenta",			"styleText",				"color",			"magenta"	];

// Background Colors
mozileTBCommands['background-color']			=	[ "Color",			"Set backgound color",					"special",			"background-color"	];

mozileTBCommands['background-black']		= [	"Black",			"Color background black",				"styleText",				"background-color",			"black"	];
mozileTBCommands['background-white']		= [	"White",			"Color background white",				"styleText",				"background-color",			"white"	];
mozileTBCommands['background-red']			= [	"Red",				"Color background red",					"styleText",				"background-color",			"red"		];
mozileTBCommands['background-green']		= [	"Green",			"Color background green",				"styleText",				"background-color",			"green"	];
mozileTBCommands['background-blue']			= [	"Blue",				"Color background blue",				"styleText",				"background-color",			"blue"	];
mozileTBCommands['background-yellow']		= [	"Yellow",			"Color background yellow",			"styleText",				"background-color",			"yellow"	];
mozileTBCommands['background-cyan']			= [	"Cyan",				"Color background cyan",				"styleText",				"background-color",			"cyan"	];
mozileTBCommands['background-magenta']	= [	"Magenta",		"Color background magenta",			"styleText",				"background-color",			"magenta"	];

// Justify
mozileTBCommands['justify-left']				= [	"Left",			"Justify text left",				"styleLines",				"text-align",				"left"	];
mozileTBCommands['justify-center']			= [	"Center",		"Center text",							"styleLines",				"text-align",				"center"];
mozileTBCommands['justify-right']				= [	"Right",		"Justify text right",				"styleLines",				"text-align",				"right"	];
mozileTBCommands['justify-full']				= [	"Full",			"Justify text full",				"styleLines",				"text-align",				"justify"	];
